Page MenuHomePhabricator

Upgrade Zuul on scandium.eqiad.wmnet (Jessie zuul-merger)
Closed, ResolvedPublic

Description

We need a new version of Zuul on Jessie for contint1001 and thus have to upgrade it on scandium.eqiad.wmnet (Jessie zuul-merger).

This task is a blocker to migrating Zuul from gallium to contint1001.

Package has been recently updated to 2.1.0-391-gbc58ea3-wmf4jessie1 via T140894 but the .deb hasn't been added to apt.wikimedia.org since the orig tarball was missing from the .changes file.

Package

I have prepared a new package at: https://people.wikimedia.org/~hashar/debs/zuul_2.5.0-8-gcbc7f62-wmf4jessie1/

It will need to be pushed to apt.wikimedia.org under jessie-wikimedia/thirdparty.

Upgrade

ssh scandium.eqiad.wmnet
service zuul-merger stop
apt-get update
apt-cache policy zuul

Make sure version is zuul_2.5.0-8-gcbc7f62-wmf4jessie1

apt-get install zuul

The package will restart the service. Then watch /var/log/zuul/merger.log.

Rollback

service zuul-merger stop
Reinstall Zuul using the version from apt.wikimedia.org 2.1.0-391-gbc58ea3-wmf3jessie1.
service zuul-merger start

Watch /var/log/zuul/merger.log

Details

Related Gerrit Patches:

Event Timeline

hashar created this task.Sep 8 2016, 9:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2016, 9:39 AM
elukey added a subscriber: elukey.Sep 8 2016, 5:18 PM

@hashar let's sync and make this happen, maybe on Monday?

hashar added a comment.Sep 8 2016, 6:29 PM

Sounds good thanks!

hashar updated the task description. (Show Details)Sep 13 2016, 10:40 AM

Change 310267 had a related patch set uploaded (by Hashar):
Merge commit 'debian/precise/wikimedia' into debian/jessie-wikimedia

https://gerrit.wikimedia.org/r/310267

Change 310267 merged by Hashar:
Merge commit 'debian/precise/wikimedia' into debian/jessie-wikimedia

https://gerrit.wikimedia.org/r/310267

elukey closed this task as Resolved.Sep 13 2016, 10:51 AM
elukey claimed this task.

Package installed and uploaded to jessie-wikimedia/thirdparty

hashar reopened this task as Open.Oct 12 2016, 2:01 PM
hashar removed elukey as the assignee of this task.
hashar removed a project: Patch-For-Review.
hashar updated the task description. (Show Details)

Polished up some oddity from yesterday deploy, the shebang was incorrect in zuul-clear-ref.

Gotta bump to wmf4 on scandium and update apt.wikimedia.org :}

https://people.wikimedia.org/~hashar/debs/zuul_2.5.0-8-gcbc7f62-wmf4precise1/

Mentioned in SAL (#wikimedia-operations) [2016-10-12T14:28:54Z] <elukey> install zuul_2.5.0-8-gcbc7f62-wmf4jessie1_amd64.deb on scandium - T145057

hashar closed this task as Resolved.Oct 12 2016, 2:34 PM
hashar assigned this task to elukey.

scandium:~$ zuul-clear-refs
usage: zuul-clear-refs [-h] [--until DAYS_AGO] [-n] [-v] gitrepo
zuul-clear-refs: error: too few arguments

Updated by @elukey

Mentioned in SAL (#wikimedia-operations) [2016-10-12T14:38:39Z] <elukey> uploaded zuul 2.5.0-8-gcbc7f62-wmf4jessie1 to jessie-wikimedia/third-party (T145057)

Mentioned in SAL (#wikimedia-operations) [2016-10-12T14:45:45Z] <elukey> uploaded zuul 2.5.0-8-gcbc7f62-wmf4precise1 to precise-wikimedia/third-party (T145057)